::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# New Year New Beginnings

</div>

## Long Break

Whew, it has been a long time since this website was up. Talk about
downtime. Long story short, I got a new job as a Cloud Engineer. I moved
to a new rental that did not have a router that supported port
forwarding. I was not about to replace the shared WiFi and work got busy
and yeah you get the idea. The website went down. My server is sleeping
in the storage bin. Well that did not take long. Anyway, new year new
me.

## Hosting Problems

What do I do when self-hosting is now an issue? Time to turn to the
\"cloud\". Turns out the cloud just means that your data is now hosted
by another organization\'s computers. We are all familiar with the wry
jokes about cloud platform by now. Anyway, I looked into what are the
available free tier options that we have now. Thanks to past me, this
site is just a bunch of static files ready to go, so hosting this site
is not hard.

Since I am already going with a cloud provider, I have higher
requirements than just \"Nginx/Apache in a VM\". I looked into solutions
that provides high availability worldwide and can remove maintenance
headaches from self-hosting; or as the cool kids say, serverless
solutions. If I am going to sacrifice my own privacy by not owning my
own hosting, I am not letting the sacrifice go in vain. Here are my
impressions of the options that I have explored.

-   Microso - No.
-   Google Cloud Load Balancer + Google Cloud Storage Bucket backend :
    Load Balancer not included in free tier.
-   Oracle Cloud Free Tier : Generous VM sizes but no serverless
    solution.
-   AWS CloudFront + S3 Storage : Generous free tier but configuration
    is quite complex.
-   Cloudflare R2 + Page Rules : Generous free tier but confusing
    dashboard.
-   Hetzner Cloud : Need a certain level of consumption to take
    advantage of the cheap VMs, and no serverless solution.

There are a couple of smaller or niche cloud providers, but most of them
do not have worldwide presence or do not have a good free tier. For
those that do, it is not a serverless solution, so this was enough
research for me.

Ultimately I went with Cloudflare. It took me less than an hour to set
up my Cloudflare account and billing, upload my files into R2, and then
configure the one page rule I need to redirect www.clementchiew.me to
the index.html file. It was pretty delightful to be able to hand over
management of SSL certificates and have QUIC support right out of the
gate. I do have my hestitations with Cloudflare, but being able to take
advantage of Cloudflare\'s free R2 egress and free up my cognitive load
of web server management is quite valuable to me.

## What\'s Next

There have been so many changes in the past year, both worldwide and in
my personal life. I have so much to write about and so many ideas that I
want to note down. See me here again soon.

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-016.html)

</div>

<div>

[Next](blog-018.html)

</div>
:::

> Home isn\'t where you\'re from, it\'s where you find light when all
> grows dark.\
> - Pierce Brown, Golden Son
