::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# We Need More Motivation

</div>

You know, like \"We need more pylons\", but with motivation, get it?
Never mind. Like a running joke with my friend goes:\"The workshop is
dead\". You know, the joke workshop. Tough crowd huh, never mind.

Today would be about motivation, specifically the motivation to learn
tech. I have been in \"tech\" for about 5 years now, what am I now? Or
rather, what have I grown to be? If you\'re here something technical,
probably time to click away. This sentence is added after I typed the
rest, so warning that the article goes off the rails quite a bit.

## Learning Everything, Yet Learning Nothing

As I reach a certain number in my age, I guess the responsibilities and
realities of an adult starts to, as the increasingly distant \"young\"
generation goes, \"gets real\". Without divulging a large part of what
makes \"adulting\" in my personal life increasingly difficult, a larger
part has been trying to continue to nurture and encourage myself to
continue to learn tech. What does it even mean to \"learn\"?

At this beautiful year of 2023, there never has been a more abundant
year for technology in IT. The scourge of blockchain nonsense is dead,
AI models are slowly growing to be more competent, and IT development
methodologies are slowly breaking the ouroboros cycle of tooling
madness. I still spend a bit of time every day reading about
technologies, but I find myself increasingly distant from the what
consitutes as \"learning\". At work, the responsibilities revolve about
reading a ton of material, but none of them really let you get into the
\"nitty gritty\" parts; the parts that truly explain what are you going
to do, the parts that makes you actually grow. You learn everything, but
yet you learn nothing.

## An Overview From Orbit

The market is slowly disconnecting from each other. Companies are
falling out of love with open source, and we the slaves to these
technologies are facing an increasingly uphill battle to be relevant. As
companies continue to consolidate their products and solutions, unless
you\'re the lucky few to work at companies that are large enough to be
included in acronyms, we no longer \"know\" the products we use. When
you spin up a virtual machine on your cloud provider, are you still
using a KVM hypervisor, or are you using a proprietary product that is
compatible with KVM? When you use a S3 API to upload your blob files,
what is going on in the sausage machine so that your files can now be
seamlessly accessed from every part of the world? A \"Unix-compatible\"
interface on a blob storage, how are these filesystem calls translated?
We are increasingly led to learn about things that kind of makes sense,
but also kind of don\'t. Your CI/CD needs workflows, pipelines, zones,
frameworks, etc. Companies are increasingly saying, \"Shhh. Stop
learning more, start understanding less. Trust the process and slip us
some money while at that\".

When all you learn is to be locked in to a company\'s product, how
meaningful are your skills? A pianist can continue to play pianos from
another brand, a shoemaker can just buy his tools from a generic company
in China, a hammer-ist can just buy another hammer. Sure, you could just
\"learn a new language\", you could just adapt to a new file syntax like
yaml or HCL, but I\'d wager this is a situation unique to IT. Spending
hundreds of hours finding the right kind of glue to bring products
together, but spending zero time making sense because this terrible
combination of products was decided by some C-suite who wants to \"turn
things around\" in the company.

Perhaps at this point you might be thinking, \"You are not not working
for the right company\", \"You need a difference perspective\",
\"You\'re terribly young and this is nothing new\" and I would be glad
to be convinced so, but the water is starting to boil and I\'m not the
only frog. I don\'t know what\'s the takeaway from this article other
than a doomer-ist perspective. Perhaps it\'s a reflection on my dimming
outlook of the world and global trends. Wars, famine, climate change,
and more are here and in full force, but we are here in hour long
meetings explaining how authentication tokens work to a senior engineer
from the customer that has muted his mic and walked away from the
laptop. Fun times ahead.

## Tailscale Is Cool

It\'s cool, go check it out. It\'s like Hamachi from years past but way
more useful. Now I can just use a Docker compose file to spin up my
Gitea containers and expose the service with HTTPS already included with
a Funnel. Tailscale, if you\'re reading this, please let me redirect my
CNAME record to my funnel thanks.

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-017.html)

</div>

<div>

[Next](blog-019.html)

</div>
:::

> \"Life in this world,\" he said, \"is, as it were, a sojourn in a
> cave. What can we know of reality? For all we see of the true nature
> of existence is, shall we say, no more than bewildering and amusing
> shadows cast upon the inner wall of the cave by the unseen blinding
> light of absolute truth, from which we may or may not deduce some
> glimmer of veracity, and we as troglodyte seekers of wisdom can only
> lift our voices to the unseen and say humbly,\'Go on, do Deformed
> Rabbit\... it\'s my favourite.\'\"\
> - Didactylos, Small Gods
