::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# A Brief Goodbye to CentOS

</div>

The traditional CentOS Linux distribution as we know it is dead. Here is
another drop in the ocean of opinion pieces that follow the news of its
death. After cooling down from the initial rush of blood to my head,
here is my take on this event.

## Why Did This Probably Happen

With the advent of DevOps and SRE, businesses and startups are moving
away from the old-school concept of traditional server clusters to
running their applications on disposable containers. The trend is clear
and true. Developers are increasingly less reliant on a tried-and-true
Linux distribution that lasts for a decade. With containers, developers
can develop, test, deploy, and rollback with blazing fast velocity.

## How It Will Affect All of Us

Without a doubt one of the most popular Linux distributions to ever
exist, CentOS was prevalent among all kinds of computing systems ranging
from simple database servers to billion-dollar computer clusters. There
are countless organizations have made the business decision to keep
using the traditional model, or organizations that do not require
microservices at all. With CentOS drawn from below their feet, a lot of
organizations will be forced to migrate to another option, or fork out a
pretty penny for RHEL. Besides, on-prem deployment of any container
orchestration tool still requires a stable Linux distribution.

The second ripple effect it will have is towards the skilled
professionals who have spend decades on CentOS. Not every company is
willing to pay up for RHEL or risk using CentOS Stream. For those who
migrate to Debian or OpenSUSE, they will have to retrain and adapt with
different tools.

## Questioning IBM/Red Hat Decisions

The most obvious of them all was, was it necessary for CentOS to die?
With CentOS Stream to track ahead of RHEL, it is still possible for
CentOS to remain functional and serve its purpose. This is clearly a
business decision to increase profits. It used to be that developers
wanted to write for RHEL but did not want pay for it; CentOS filled that
need. What also happened was that some companies decided that they
wanted the free experience all the way. Red Hat now provides free use of
the Red Hat Universal Base Image for developers. With this, companies no
longer have an excuse.

Secondly, why the PR disaster? In hindsight, there is no way to deliver
this news gently to the public. However, I felt that Red Hat gave the
bird to the open source community, especially those who contributed to
CentOS, by pulling the plug on Centos 8 towards the end of 2021. There
wasn\'t even a courtesy to end it later then CentOS 7\'s EOL date, June
30th 2024. A raw-dogged \"Pay up, now\" to everyone.

Last of all, what is the next move from Red Hat/IBM? With CentOS gone,
there is a huge vacuum for another to take its place. RHEL sources are
still available and can still be repackaged. While Red Hat currently has
massive influence over Linux in general, is this a arrogant statement
proclaiming \"Hey, you can\'t live without me\"? Another ominuous take
with conspiratorial undertones would be that Red Hat plans to eventually
scrap the FOSS model, but I would have to wear my tin hat for this one.

## So, What Happens Now?

Almost immediately after the release, all the attention is now directed
to towards filling the space that CentOS will leave behind. Undoubtedly,
Ubuntu and SUSE would try to assert their presence with their open
source alternatives. Debian, the largest behemoth of them all, hopefully
will receive funding and participation like never before. A silver
lining of this event would perhaps be the buzzing excitement of what
will be and can be. It is time to be excited about Linux again. I, for
one, have to begin migrating my CentOS containers and virtual machines
to Debian.

CentOS\'s founder, Gregory Kurtzer, is working with the community to
establish Rocky Linux. Join them at
https://webchat.freenode.net/#rockylinux .

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-012.html)

</div>

<div>

[Next](blog-014.html)

</div>
:::

> I doubt that the imagination can be suppressed. If you truly
> eradicated it in a child, he would grow up to be an eggplant.\
> - Ursula K. Le Guin
