::: navbar
<div>

[Home](../index.html)

</div>

<div>

[Blog](blog--01.html)

</div>

<div>

[Git](https://renraku.dingo-bramble.ts.net/clement)

</div>

<div>

[CV](../files/CV.pdf)

</div>
:::

------------------------------------------------------------------------

<div>

# Pushing New Boundaries

</div>

## Hell Yeah It Is About Golang

I\'ve always wanted to start project and properly finish it. Thanks to
Golang and a heck ton of conversations with ChatGPT, I managed to make
it happen. No more dead projects in the water, no more stranded code
without an end in sight.

So what is it? What have my grubby little fingers created by hammering
these poor blue switches for over 3 months in my spare time? [A tarot
reader that is](https://tarot.dingo-bramble.ts.net/index.html). Just a
boring tarot reader. Yes, yes, it is done with \"AI\". Yes, it is done
with GPT-3.5. Yes, yes, it is probably worse than those chatbot wrappers
you get off Play Store that scams with a hefty annual subscription if
you forget to cancel the free trial. You go the site, you \"talk\" via a
text form to an entity that tells you ambiguous futures and whatnots
about what\'s on your mind.

## How It Works

It is pretty much a Golang chatbot that is prompted to talk like a tarot
reader. I generated the tarot card set with Dall-E. Link it up with some
basic Postgres tables to store conversation, put it behind
Caddy+Tailscale Funnel to serve HTTPS traffic and that is pretty much
all. Unimpressive, I know.

## But Why

Because I can. But really, it is because I never \"knew\" front end
development. In this age of Bootstrap, AngularJS, Tailwind, and whatever
is going on with front end development, it has always felt that I am
served the same thing but on different plates. This project has allowed
me to go in depth on how many things came together. CSS styles, the
Javascript DOM model, HTML divs, etc. Never had I spent so much time
reading MDN and realized the wealth of knowledge that is available on
it.

## Conclusion And Some More

This project is not \"creative\". If you are against OpenAI, then this
project is \"useless\" too. But it was not useless to me. The
\"democratization\" of LLMs gave me the push forward to places I have
not been before. LLMs was the teacher that I never had, and the
assistant that could do \"that one thing\" that you never really
understand.

What about the poor artists I have ripped off? What about the treasure
trove of knowledge that these LLMs were trained on that contains a ton
of copyrights and IPs? Should I have stopped to wonder to wonder whether
I should, before wondering whether I could? Is this code legitimately
\"mine\"? I do not have the answers. But without the push from LLMs, the
barrier of entry to the ever-changing landscape of tech has never been
so accessible.

------------------------------------------------------------------------

::: navbar
<div>

[Prev](blog-019.html)

</div>

<div>

[Next](blog--01.html)

</div>
:::

> "but what should we do when the highborn and wealthy take to crime?
> Indeed, if a poor man will spend a year in prison for stealing out of
> hunger, how high would the gallows need to be to hang the rich man who
> breaks the law out of greed?"\
> - Terry Pratchett, Snuff
